From 95c1f10a276a69ce4fdcc72e68a35c796581d143 Mon Sep 17 00:00:00 2001
From: shuishen <1109946754@qq.com>
Date: Fri, 11 Jun 2021 16:19:19 +0800
Subject: [PATCH] 左侧目录树优化,及搜索部分样式调整,部分图片路径更改

---
 widgets/searchL/css/style.css |   48 +++++++++++++++++++++++++++++++++++-------------
 1 files changed, 35 insertions(+), 13 deletions(-)

diff --git a/widgets/searchL/css/style.css b/widgets/searchL/css/style.css
index 7ad04b8..055ccad 100644
--- a/widgets/searchL/css/style.css
+++ b/widgets/searchL/css/style.css
@@ -57,8 +57,15 @@
   align-items: center;
   justify-content: center;
 }
-.jimu-widget-searchL .searchLMain .layui-tab-content{
+
+.jimu-widget-searchL .searchLMain .layui-tab-content {
   padding: 0 !important;
+  height: calc(100% - 40px);
+}
+
+.jimu-widget-searchL .searchLMain .layui-tab-content .layui-tab-item,
+.jimu-widget-searchL .searchLMain .layui-tab-content .layui-tab-item .layui-form {
+  height: 100%;
 }
 
 .jimu-widget-searchL #inputTwo #local_data2 {
@@ -88,24 +95,28 @@
   border-left: 1px solid rgba(0, 0, 0, .2);
 }
 
-.jimu-widget-searchL .input-sms1::-webkit-input-placeholder, .jimu-widget-searchL .input-sms::-webkit-input-placeholder {
+.jimu-widget-searchL .input-sms1::-webkit-input-placeholder,
+.jimu-widget-searchL .input-sms::-webkit-input-placeholder {
   color: #afafaf;
   font-size: 14px;
 }
 
-.jimu-widget-searchL .input-sms1::-moz-placeholder, .jimu-widget-searchL .input-sms::-moz-placeholder {
+.jimu-widget-searchL .input-sms1::-moz-placeholder,
+.jimu-widget-searchL .input-sms::-moz-placeholder {
   /* Mozilla Firefox 19+ */
   color: #afafaf;
   font-size: 14px;
 }
 
-.jimu-widget-searchL .input-sms1:-moz-placeholder, .jimu-widget-searchL .input-sms:-moz-placeholder {
+.jimu-widget-searchL .input-sms1:-moz-placeholder,
+.jimu-widget-searchL .input-sms:-moz-placeholder {
   /* Mozilla Firefox 4 to 18 */
   color: #afafaf;
   font-size: 14px;
 }
 
-.jimu-widget-searchL .input-sms1::-ms-input-placeholder, .jimu-widget-searchL .input-sms::-ms-input-placeholder {
+.jimu-widget-searchL .input-sms1::-ms-input-placeholder,
+.jimu-widget-searchL .input-sms::-ms-input-placeholder {
   color: #afafaf;
   font-size: 14px;
 }
@@ -116,9 +127,7 @@
   right: 5px;
   top: 70px;
   width: 462px;
-  min-height: 540px;
-  height: auto;
-  padding-bottom: 20px;
+  height: 520px;
   border-radius: 5px 5px 5px 5px;
   background-color: rgb(255, 255, 255);
 }
@@ -139,12 +148,14 @@
   background-color: #ffffff;
 }
 
-.jimu-widget-searchL .layui-tab-brief>.layui-tab-more li.layui-this:after, .layui-tab-brief>.layui-tab-title .layui-this:after {
+.jimu-widget-searchL .layui-tab-brief>.layui-tab-more li.layui-this:after,
+.layui-tab-brief>.layui-tab-title .layui-this:after {
   border-bottom: 2px solid #39A5FD;
 }
 
 .jimu-widget-searchL .searchLMain .layui-tab-title {
   /* border: 1px saddlebrown solid; */
+  margin-top: 10px;
   display: flex;
   align-items: center;
   justify-content: space-around;
@@ -155,8 +166,14 @@
 }
 
 .jimu-widget-searchL .searchLMain .layui-table-view {
+  margin: 0 !important;
   border-bottom: 1px #fff solid;
 }
+
+.jimu-widget-searchL .searchLMain .layui-table-view .layui-table-box {
+  height: calc(100% - 41px);
+}
+
 /* 
 .jimu-widget-searchL .searchLMain #layui-table-page1, .jimu-widget-searchL .searchLMain #layui-table-page2, .jimu-widget-searchL .searchLMain #layui-table-page3 {
   position: relative;
@@ -169,7 +186,7 @@
   position: relative;
   top: -4px;
 } */
-.jimu-widget-searchL .searchLMain [id^='layui-table-page']{
+.jimu-widget-searchL .searchLMain [id^='layui-table-page'] {
   position: absolute;
   left: 20px;
   top: 5px;
@@ -183,8 +200,8 @@
 
 .jimu-widget-searchL .searchLMain .searchColce {
   position: absolute;
-  right: 10px;
-  top: 5px;
+  right: 0px;
+  top: 0px;
   font-size: 16px;
   color: #000;
   width: 25px;
@@ -196,6 +213,11 @@
   cursor: pointer;
 }
 
+.jimu-widget-searchL .searchLMain .layui-tab {
+  height: calc(100% - 10px);
+  margin: 0;
+}
+
 .jimu-widget-searchL .searchLMain .searchColce:hover {
   color: red;
 }
@@ -204,4 +226,4 @@
   position: relative;
   right: 1px;
   top: -3px;
-}
+}
\ No newline at end of file

--
Gitblit v1.9.3